{ config, lib, pkgs, ... }:

with lib;
with lib.my;
let cfg = config.modules.editors.neovim;
in {
  options.modules.editors.neovim = {
    enable = mkBoolOpt false;
  };

  config = mkIf cfg.enable {
    home.programs.neovim = {
      enable = true;
      vimAlias = true;
      vimdiffAlias = true;
    };
  };
}